## org.apache.maven.shared.io.logging
Class PlexusLoggerSink

    java.lang.Object
      org.apache.maven.shared.io.logging.PlexusLoggerSink

All Implemented Interfaces:
  MessageSink

    public class PlexusLoggerSink

extends java.lang.Object
implements MessageSink

Constructor Summary
`PlexusLoggerSink(org.codehaus.plexus.logging.Logger logger)`

Method Summary
`void` `debug(java.lang.String message)`
`void` `error(java.lang.String message)`
`void` `info(java.lang.String message)`
`void` `severe(java.lang.String message)`
`void` `warning(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlexusLoggerSink

    public PlexusLoggerSink(org.codehaus.plexus.logging.Logger logger)

Method Detail

### debug

    public void debug(java.lang.String message)

  Specified by:
    `debug` in interface `MessageSink`

### error

    public void error(java.lang.String message)

  Specified by:
    `error` in interface `MessageSink`

### info

    public void info(java.lang.String message)

  Specified by:
    `info` in interface `MessageSink`

### severe

    public void severe(java.lang.String message)

  Specified by:
    `severe` in interface `MessageSink`

### warning

    public void warning(java.lang.String message)

  Specified by:
    `warning` in interface `MessageSink`

Copyright © 2011. All Rights Reserved.